module github.com/42wim/matterbridge

go 1.23.0

require (
	github.com/Benau/tgsconverter v0.0.0-20210809170556-99f4a4f6337f
	github.com/chromedp/cdproto v0.0.0-20250319231242-a755498943c8
	github.com/chromedp/chromedp v0.13.2
	github.com/d5/tengo/v2 v2.17.0
	github.com/fsnotify/fsnotify v1.9.0
	github.com/gomarkdown/markdown v0.0.0-20250810172220-2e2c11897d1a
	github.com/google/gops v0.3.28
	github.com/gorilla/schema v1.4.1
	github.com/gorilla/websocket v1.5.3
	github.com/hashicorp/golang-lru v1.0.2
	github.com/kyokomi/emoji/v2 v2.2.13
	github.com/lrstanley/girc v1.1.1
	github.com/matterbridge/logrus-prefixed-formatter v0.5.2
	github.com/paulrosania/go-charset v0.0.0-20190326053356-55c9d7a5834c
	github.com/playwright-community/playwright-go v0.5200.1
	github.com/saintfish/chardet v0.0.0-20230101081208-5e3ef4b5456d
	github.com/sirupsen/logrus v1.9.3
	github.com/slack-go/slack v0.17.3
	github.com/spf13/viper v1.20.0-alpha.6
	github.com/stretchr/testify v1.11.1
	github.com/writeas/go-strip-markdown v2.0.1+incompatible
	golang.org/x/image v0.21.0
	golang.org/x/text v0.20.0
)

require (
	github.com/Benau/go_rlottie v0.0.0-20210807002906-98c1b2421989 // indirect
	github.com/av-elier/go-decimal-to-rational v0.0.0-20191127152832-89e6aad02ecf // indirect
	github.com/chromedp/sysutil v1.1.0 // indirect
	github.com/davecgh/go-spew v1.1.1 // indirect
	github.com/deckarep/golang-set/v2 v2.7.0 // indirect
	github.com/go-jose/go-jose/v3 v3.0.4 // indirect
	github.com/go-json-experiment/json v0.0.0-20250211171154-1ae217ad3535 // indirect
	github.com/go-stack/stack v1.8.1 // indirect
	github.com/go-viper/mapstructure/v2 v2.4.0 // indirect
	github.com/gobwas/httphead v0.1.0 // indirect
	github.com/gobwas/pool v0.2.1 // indirect
	github.com/gobwas/ws v1.4.0 // indirect
	github.com/kettek/apng v0.0.0-20191108220231-414630eed80f // indirect
	github.com/mattn/go-colorable v0.1.14 // indirect
	github.com/mattn/go-isatty v0.0.20 // indirect
	github.com/mgutz/ansi v0.0.0-20200706080929-d51e80ef957d // indirect
	github.com/onsi/ginkgo v1.16.5 // indirect
	github.com/onsi/gomega v1.36.1 // indirect
	github.com/pelletier/go-toml/v2 v2.2.4 // indirect
	github.com/pmezard/go-difflib v1.0.0 // indirect
	github.com/sagikazarmark/locafero v0.6.0 // indirect
	github.com/sizeofint/webpanimation v0.0.0-20210809145948-1d2b32119882 // indirect
	github.com/sourcegraph/conc v0.3.1-0.20240121214520-5f936abd7ae8 // indirect
	github.com/spf13/afero v1.11.0 // indirect
	github.com/spf13/cast v1.10.0 // indirect
	github.com/spf13/pflag v1.0.10 // indirect
	github.com/subosito/gotenv v1.6.0 // indirect
	github.com/x-cray/logrus-prefixed-formatter v0.5.2 // indirect
	golang.org/x/crypto v0.29.0 // indirect
	golang.org/x/sys v0.35.0 // indirect
	golang.org/x/term v0.34.0 // indirect
	gopkg.in/yaml.v3 v3.0.1 // indirect
)
